$ErrorActionPreference = 'Stop';

$packageName= 'invantive-data-hub'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.14.28-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.14.28-BETA.msi'
  softwareName = 'Invantive Data Hub'
  checksum = '68A8B9DB790BBF33E109FC06AD3121DF7AF5D9F4C4146405A09F8526C3CEF3ED'
  checksumType = 'sha256'
  checksum64 = '68A8B9DB790BBF33E109FC06AD3121DF7AF5D9F4C4146405A09F8526C3CEF3ED'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-data-hub-17.14.28-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
